Skip to navigation

Retrieve Deel invoices

Returns the Deel platform fee invoices for your organization, meaning the fees Deel charges for its services rather than the regular invoices returned by GET /invoices. Use it to reconcile or audit the platform fees your organization is charged.

Token scopes: accounting:read

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

curl -X GET 'https://api.deel.training/rest/v2/contracts' \
  -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Query parameters

limitintegerOptional0-99Defaults to 50
Number of records to retrieve per page.
offsetintegerOptional>=0Defaults to 0
Index of the first record to return.

Response

Successful response
datalist of objects
pageobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error